# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = AUTA.exe
OBJFILES = AUTA.obj main.obj krizform.obj autasim.obj semaf3.obj semaf4.obj \
   vstupfrm.obj krizinfo.obj vstupinfo.obj moznosti.obj statis.obj \
   parkform.obj parkinfo.obj silnform.obj autoinfo.obj about.obj prechfrm.obj \
   prechinf.obj
RESFILES = auta.res
RESDEPEN = $(RESFILES) main.dfm krizform.dfm semaf3.dfm semaf4.dfm \
   vstupfrm.dfm krizinfo.dfm vstupinfo.dfm moznosti.dfm statis.dfm \
   parkform.dfm parkinfo.dfm silnform.dfm autoinfo.dfm about.dfm prechfrm.dfm \
   prechinf.dfm
LIBFILES = 
DEFFILE = 
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -Hc -w -k- -r -vi -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I$(BCB)\images\buttons;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcl.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U$(BCB)\images\buttons;$(BCB)\lib\obj;$(BCB)\lib \
   -I$(BCB)\images\buttons;$(BCB)\include;$(BCB)\include\vcl -$L- -$D- -JPHNV \
   -M     
RFLAGS = -i$(BCB)\images\buttons;$(BCB)\include;$(BCB)\include\vcl 
LFLAGS = -L$(BCB)\images\buttons;$(BCB)\lib\obj;$(BCB)\lib -aa -Tpe -x \
   -V4.0 
IFLAGS = 
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib 
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES) 
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $* 

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
